Search found 845 matches

Go to advanced search

by kbwbe
Sat May 11, 2019 3:20 pm
Forum: Assembly
Topic: Problem with a2+ import.
Replies: 29
Views: 834

Re: Problem with a2+ import.

There seems to be a problem of converting single spherical faces of a shell to a solid. Hi @kbwbe this is a small issue in python wrapper for the function Part.makeShell ... it can be solved using the code in the following example: App.newDocument("Unnamed") Gui.activateWorkbench("PartWorkbench") A...
by kbwbe
Sat May 11, 2019 3:07 pm
Forum: Python scripting and macros
Topic: Part.Solid(shell) fails if shell contains a sphere
Replies: 16
Views: 362

Part.Solid(shell) fails if shell contains a sphere

Hi, I have problems to convert a shell, which is containing a sphere, to a solid. The sphere vanishes during conversion. Please find attached a test script, which creates a shell with several primitives and which converts the shell within next step to a solid. Running this script, you can see that t...
by kbwbe
Fri May 10, 2019 12:02 pm
Forum: Assembly
Topic: Problem with a2+ import.
Replies: 29
Views: 834

Re: Problem with a2+ import.

fcaduser wrote:
Fri May 10, 2019 10:53 am
A2+ save zero information into a part, exact ? Just to be sure.
Yes. Converting of objects to A2plus only applies to the assembled things. The original (external) parts are not touched.
by kbwbe
Fri May 10, 2019 10:14 am
Forum: Assembly
Topic: Problem with a2+ import.
Replies: 29
Views: 834

Re: Problem with a2+ import.

Hi @fcaduser your issue is there because you have mixed an A2 part with an A2p part. NEVER create assemblies using old A2 workbench parts, if you want a fully working assembly in A2p Unfortunately this is not quite correct. The "Ball_joint"-object within the assembly "A_Bearing.fcstd" is in fact of...
by kbwbe
Fri May 10, 2019 9:40 am
Forum: Assembly
Topic: Problem with a2+ import.
Replies: 29
Views: 834

Re: Problem with a2+ import.

Part.makeShell(f) is failing if there is only one face (like in a Sphere) but if you put a list within only one face, the result will be just fine Part.makeShell([f]) I have made a new PR280 @devel branch accordingly... please do some testing... Maurice Hi Maurice, that sounds very good. I will tes...
by kbwbe
Thu May 09, 2019 10:46 pm
Forum: Assembly
Topic: Problem with a2+ import.
Replies: 29
Views: 834

Re: Problem with a2+ import.

fcaduser wrote:
Thu May 09, 2019 10:35 pm
OK. My assemblies are now quiet huge, I can't dump everything, so I have to isolate a minimal and reproducible error.
Perhaps you can test as your assembly is with FC0.18.1 instead of Version: 0.19.16653 (Git)
by kbwbe
Thu May 09, 2019 10:28 pm
Forum: Assembly
Topic: Problem with a2+ import.
Replies: 29
Views: 834

Re: Problem with a2+ import.

fcaduser wrote:
Thu May 09, 2019 10:11 pm
Nothing at all.

Do you need something else ? :
Yes. Files and hints to reproduce this error. It is very strange. Because this should never throw an unicode error/exception:

Code: Select all

cacheKeyExtension = obj.sourcePart
by kbwbe
Thu May 09, 2019 10:06 pm
Forum: Assembly
Topic: Problem with a2+ import.
Replies: 29
Views: 834

Re: Problem with a2+ import.

fcaduser wrote:
Thu May 09, 2019 9:44 pm
Did you write something manually to the new property "sourcePart" of A2plus objects ? (not recommended, i will lock it in future)

Please add your system information.

P.S.: Do you have files and steps to reproduce this error ?
by kbwbe
Thu May 09, 2019 8:05 pm
Forum: Assembly
Topic: Problem with a2+ import.
Replies: 29
Views: 834

Re: Problem with a2+ import.

Thank you again for the fix. I merged it with devel branch and tested it. For the test, i commented out my fix and took only your one. If doing so, the balls of the bearing vanish during import again. Changes where applied to topomapper.py for test only... shell = Part.makeShell(faces) try: if a2pl...
by kbwbe
Thu May 09, 2019 7:32 pm
Forum: Assembly
Topic: Problem with a2+ import.
Replies: 29
Views: 834

Re: Problem with a2+ import.

easyw-fc wrote:
Thu May 09, 2019 5:36 pm
I have added a small fix related to my code to import part as solid ...
please have a look at my PR 279
Hi @easyw-fc,
thank you, i will check the fix ASAP.

Go to advanced search